import Route from '@ember/routing/route';
import { inject as service } from '@ember/service';

export default class LoginRoute extends Route {
  @service session;

  beforeModel() {
    this.session.prohibitAuthentication('index');
  }

  setupController() {
    super.setupController(...arguments);
    this.controllerFor('application').set('inLoginRoute', true);
  }

  resetController() {
    super.resetController(...arguments);
    this.controllerFor('application').set('inLoginRoute', false);
  }
}
