# revision identifiers, used by Alembic.
revision = "2aad9deb5e37"
down_revision = "16f9f28f0ea3"

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
from sqlalchemy.types import DateTime, Integer
from geoalchemy2.types import Geometry


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "flight_path_chunks",
        sa.Column("id", Integer(), nullable=False),
        sa.Column("time_created", DateTime(), nullable=False),
        sa.Column("time_modified", DateTime(), nullable=False),
        sa.Column("timestamps", postgresql.ARRAY(DateTime()), nullable=False),
        sa.Column(
            "locations", Geometry(geometry_type="LINESTRING", srid=4326), nullable=False
        ),
        sa.Column("start_time", DateTime(), nullable=False),
        sa.Column("end_time", DateTime(), nullable=False),
        sa.Column("flight_id", Integer(), nullable=False),
        sa.ForeignKeyConstraint(["flight_id"], ["flights.id"], ondelete="CASCADE"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        "ix_flight_path_chunks_end_time",
        "flight_path_chunks",
        ["end_time"],
        unique=False,
    )
    op.create_index(
        "ix_flight_path_chunks_start_time",
        "flight_path_chunks",
        ["start_time"],
        unique=False,
    )
    op.create_index(
        "ix_flight_path_chunks_flight_id",
        "flight_path_chunks",
        ["flight_id"],
        unique=False,
    )

    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_flight_path_chunks_flight_id", table_name="flight_path_chunks")
    op.drop_index("ix_flight_path_chunks_start_time", table_name="flight_path_chunks")
    op.drop_index("ix_flight_path_chunks_end_time", table_name="flight_path_chunks")
    op.drop_table("flight_path_chunks")
    ### end Alembic commands ###
